Main Page Class Hierarchy Compound List File List Compound Members File Members

# Acontrol Class Reference

a class that manage midi/keyboard shortcuts and recording sequence. More...

`#include <control.h>`

Inheritance diagram for Acontrol::

List of all members.

## Public Types
enum | { NOTHING = 0, CONTROLER_01 = 1, CONTROLER_02, CONTROLER_03, CONTROLER_04, CONTROLER_05, CONTROLER_06, CONTROLER_07, CONTROLER_08, CONTROLER_09, CONTROLER_10, KEY_01 = 100, KEY_02, KEY_03, KEY_04, KEY_05, KEY_06, KEY_07, KEY_08, KEY_09, KEY_10, KEY_11, KEY_12, KEY_13, KEY_14, KEY_15, KEY_16, KEY_17, KEY_18, KEY_19, KEY_20 }
| enum controler type. More...
## Public Methods
ELIBOBJ EDLL | Acontrol (char *name, class Aeffect *ef, class Aobject *o, int type=NOTHING)
virtual EDLL | ~Acontrol ()
virtual EDLL bool | notify (Anode *o, int event, dword p)
virtual EDLL bool | set (int control, int value)
virtual EDLL bool | sequence (int control, int value)
## Public Attributes
Aeffect * | effect
Atable * | table
Aobject * | object
int | control
int | id
Atrack * | track

## Detailed Description

a class that manage midi/keyboard shortcuts and recording sequence.

## Member Enumeration Documentation

anonymous enum

  | enum controler type. Enumeration values:
  NOTHING |
  CONTROLER_01 |
  CONTROLER_02 |
  CONTROLER_03 |
  CONTROLER_04 |
  CONTROLER_05 |
  CONTROLER_06 |
  CONTROLER_07 |
  CONTROLER_08 |
  CONTROLER_09 |
  CONTROLER_10 |
  KEY_01 |
  KEY_02 |
  KEY_03 |
  KEY_04 |
  KEY_05 |
  KEY_06 |
  KEY_07 |
  KEY_08 |
  KEY_09 |
  KEY_10 |
  KEY_11 |
  KEY_12 |
  KEY_13 |
  KEY_14 |
  KEY_15 |
  KEY_16 |
  KEY_17 |
  KEY_18 |
  KEY_19 |
  KEY_20 |

## Constructor & Destructor Documentation

ELIBOBJ EDLL Acontrol::Acontrol | ( | char * | name,
|  | class Aeffect * | ef,
|  | class Aobject * | o,
|  | int | type = NOTHING
| ) |

virtual EDLL Acontrol::~Acontrol | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual EDLL bool Acontrol::notify | ( | Anode * | o,
|  | int | event,
|  | dword | p
| ) | `[virtual]`

| Reimplemented from Anode.

virtual EDLL bool Acontrol::sequence | ( | int | control,
|  | int | value
| ) | `[virtual]`

virtual EDLL bool Acontrol::set | ( | int | control,
|  | int | value
| ) | `[virtual]`

## Member Data Documentation

int Acontrol::control

class Aeffect* Acontrol::effect

int Acontrol::id

class Aobject* Acontrol::object

class Atable* Acontrol::table

class Atrack* Acontrol::track

The documentation for this class was generated from the following file:

- control.h